package cc.smtweb.system.bpm.web.sys.user.dataRightGroup;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractEntityCache;
import cc.smtweb.framework.core.cache.CacheManager;

/**
 * Created by 1 at 2022-08-04 17:45:35
 * 实体【[数据权限组](SYS_DATA_RIGHT_GROUP)】的缓存类
 */
@SwCache(ident = "SYS_DATA_RIGHT_GROUP", title = "数据权限组")
public class DataRightGroupCache extends AbstractEntityCache<DataRightGroup> {
    //缓存key：按编码
    public final static String mk_code = "code";

    public static DataRightGroupCache getInstance() {
        return CacheManager.getIntance().getCache(DataRightGroupCache.class);
    }

    public DataRightGroupCache() {
        //缓存key：按编码
        regMap(mk_code, "sdrg_code");
    }

    //缓存key：按编码
    public final DataRightGroup getByCode(String key) {
        return getByKey(mk_code, key);
    }
}
